Search for all

  1. Search 7.x for all
  2. Search 8.9.x for all
  3. Search 10.3.x for all
  4. Search 11.x for all
  5. Search main for all
  6. Other projects
Title Object type File name Summary
OffCanvasTest::assertOffCanvasDialog function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTest.php @internal
OffCanvasTest::testNarrowWidth function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTest.php Tests the body displacement behaves differently at a narrow width.
OffCanvasTest::testOffCanvasLinks function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTest.php Tests that non-contextual links will work with the off-canvas dialog.
OffCanvasTestBase class core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Base class contains common test functionality for the Off-canvas dialog.
OffCanvasTestBase.php file core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php
OffCanvasTestBase::$modules property core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Modules to enable.
OffCanvasTestBase::assertAllContextualLinksLoaded function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Assert all contextual link areas have be loaded.
OffCanvasTestBase::assertElementVisibleAfterWait function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Asserts the specified selector is visible after a wait.
OffCanvasTestBase::assertPageLoadComplete function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Assert the page is completely loaded.
OffCanvasTestBase::drupalGet function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Retrieves a Drupal path or an absolute path.
OffCanvasTestBase::enableTheme function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Enables a theme.
OffCanvasTestBase::getOffCanvasDialog function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Gets the off-canvas dialog element.
OffCanvasTestBase::getTestThemes function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Get themes to test.
OffCanvasTestBase::themeDataProvider function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Data provider that returns theme name as the sole argument.
OffCanvasTestBase::waitForOffCanvasToClose function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Waits for off-canvas dialog to close.
OffCanvasTestBase::waitForOffCanvasToOpen function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Waits for off-canvas dialog to open.
OffCanvasTestTrait trait core/modules/system/tests/src/Traits/OffCanvasTestTrait.php Provides helper methods for interacting with the off-canvas area.
OffCanvasTestTrait.php file core/modules/system/tests/src/Traits/OffCanvasTestTrait.php
OffCanvasTestTrait::waitForOffCanvasArea function core/modules/system/tests/src/Traits/OffCanvasTestTrait.php Waits for the off-canvas area to appear, resized and visible.
OffsetPage class core/modules/jsonapi/src/Query/OffsetPage.php Value object for containing the requested offset and page parameters.
OffsetPage.php file core/modules/jsonapi/src/Query/OffsetPage.php
OffsetPage::$offset property core/modules/jsonapi/src/Query/OffsetPage.php The offset for the query.
OffsetPage::$size property core/modules/jsonapi/src/Query/OffsetPage.php The size of the query.
OffsetPage::createFromQueryParameter function core/modules/jsonapi/src/Query/OffsetPage.php Creates an OffsetPage object from a query parameter.
OffsetPage::DEFAULT_OFFSET constant core/modules/jsonapi/src/Query/OffsetPage.php Default offset.
OffsetPage::getOffset function core/modules/jsonapi/src/Query/OffsetPage.php Returns the current offset.
OffsetPage::getSize function core/modules/jsonapi/src/Query/OffsetPage.php Returns the page size.
OffsetPage::KEY_NAME constant core/modules/jsonapi/src/Query/OffsetPage.php The JSON:API pagination key name.
OffsetPage::OFFSET_KEY constant core/modules/jsonapi/src/Query/OffsetPage.php The offset key in the page parameter: page[offset].
OffsetPage::SIZE_KEY constant core/modules/jsonapi/src/Query/OffsetPage.php The size key in the page parameter: page[limit].
OffsetPage::SIZE_MAX constant core/modules/jsonapi/src/Query/OffsetPage.php Max size.
OffsetPage::__construct function core/modules/jsonapi/src/Query/OffsetPage.php Instantiates an OffsetPage object.
OffsetPageTest class core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php @coversDefaultClass \Drupal\jsonapi\Query\OffsetPage[[api-linebreak]]
@group jsonapi
OffsetPageTest.php file core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php
OffsetPageTest::parameterProvider function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php Data provider for testCreateFromQueryParameter.
OffsetPageTest::setUp function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php
OffsetPageTest::testCreateFromQueryParameter function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php @covers ::createFromQueryParameter[[api-linebreak]]
@dataProvider parameterProvider
OffsetPageTest::testCreateFromQueryParameterFail function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php @covers ::createFromQueryParameter[[api-linebreak]]
off_canvas_test.info.yml file core/modules/system/tests/modules/off_canvas_test/off_canvas_test.info.yml core/modules/system/tests/modules/off_canvas_test/off_canvas_test.info.yml
off_canvas_test.libraries.yml file core/modules/system/tests/modules/off_canvas_test/off_canvas_test.libraries.yml core/modules/system/tests/modules/off_canvas_test/off_canvas_test.libraries.yml
off_canvas_test.module file core/modules/system/tests/modules/off_canvas_test/off_canvas_test.module Contains hook implementations for testing the off-canvas area.
off_canvas_test.routing.yml file core/modules/system/tests/modules/off_canvas_test/off_canvas_test.routing.yml core/modules/system/tests/modules/off_canvas_test/off_canvas_test.routing.yml
off_canvas_test_page_attachments function core/modules/system/tests/modules/off_canvas_test/off_canvas_test.module Implements hook_page_attachments().
olivero.breakpoints.yml file core/themes/olivero/olivero.breakpoints.yml core/themes/olivero/olivero.breakpoints.yml
olivero.info.yml file core/themes/olivero/olivero.info.yml core/themes/olivero/olivero.info.yml
olivero.libraries.yml file core/themes/olivero/olivero.libraries.yml core/themes/olivero/olivero.libraries.yml
olivero.schema.yml file core/themes/olivero/config/schema/olivero.schema.yml core/themes/olivero/config/schema/olivero.schema.yml
olivero.settings.yml file core/themes/olivero/config/install/olivero.settings.yml core/themes/olivero/config/install/olivero.settings.yml
olivero.theme file core/themes/olivero/olivero.theme Functions to support theming in the Olivero theme.
OliveroMessagesTest class core/tests/Drupal/FunctionalJavascriptTests/Theme/OliveroMessagesTest.php Runs OliveroMessagesTest in Olivero.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.